Bug 1267700 - undefined method `gsub' for 1000000000001:Fixnum [ems_infra/show] when clicking on Templates from provider summary screen
undefined method `gsub' for 1000000000001:Fixnum [ems_infra/show] when clicki...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity medium
: GA
: 5.5.0
Assigned To: Keenan Brock
Nandini Chandra
:
: 1267809 1267825 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-30 13:37 EDT by Nandini Chandra
Modified: 2015-12-08 08:34 EST (History)
7 users (show)

See Also:
Fixed In Version: 5.5.0.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:34:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nandini Chandra 2015-09-30 13:37:42 EDT
Description of problem:
-----------------------
The web UI blows up on the provider summary page when clicking on the  'Templates' from both the accordion and the Relationships table.

Snippet from production.log :

[----] F, [2015-09-30T13:01:59.167472 #2874:c7d990] FATAL -- : Error caught: [NoMethodError] undefined method `gsub' for 1000000000001:Fixnum
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/helpers/javascript_helper.rb:27:in `escape_javascript'
/var/www/miq/vmdb/app/views/layouts/_dhtmlxgrid.html.haml:10:in `_app_views_layouts__dhtmlxgrid_html_haml__596040219086309014_190458440'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/template.rb:145:in `block in render'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/notifications.rb:166:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/template.rb:333:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/template.rb:143:in `render'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/renderer/partial_renderer.rb:339:in `render_partial'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/renderer/partial_renderer.rb:310:in `block in render'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/renderer/abstract_renderer.rb:39:in `block in instrument'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/notifications.rb:164:in `block in instrument'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/notifications/instrumenter.rb:20:in `instrument'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/notifications.rb:164:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/renderer/abstract_renderer.rb:39:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/renderer/partial_renderer.rb:309:in `render'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/renderer/renderer.rb:47:in `render_partial'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/renderer/renderer.rb:21:in `render'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/helpers/rendering_helper.rb:32:in `render'
/opt/rh/cfme-gemset/bundler/gems/jquery-rjs-33e0fc1c0b25/lib/jquery-rjs/rendering.rb:8:in `render_with_update'
/var/www/miq/vmdb/app/views/layouts/gtl/_list.html.haml:12:in `_app_views_layouts_gtl__list_html_haml___269243815765513145_191398640'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/template.rb:145:in `block in render'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/notifications.rb:166:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/template.rb:333:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/template.rb:143:in `render'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/renderer/partial_renderer.rb:339:in `render_partial'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/renderer/partial_renderer.rb:310:in `block in render'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/renderer/abstract_renderer.rb:39:in `block in instrument'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/notifications.rb:164:in `block in instrument'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/notifications/instrumenter.rb:20:in `instrument'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/notifications.rb:164:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/renderer/abstract_renderer.rb:39:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/renderer/partial_renderer.rb:309:in `render'



Version-Release number of selected component (if applicable):
-----------------------------
5.5.0.3


How reproducible:
-----------------
Always


Steps to Reproduce:
-------------------
1.
2.
3.

Actual results:
--------------


Expected results:
-----------------


Additional info:
---------------
Comment 3 Harpreet Kataria 2015-10-01 11:19:05 EDT
*** Bug 1267825 has been marked as a duplicate of this bug. ***
Comment 4 Harpreet Kataria 2015-10-01 11:19:16 EDT
*** Bug 1267809 has been marked as a duplicate of this bug. ***
Comment 5 CFME Bot 2015-10-01 16:15:29 EDT
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/f01845585242f5114d9838a13eb8152e13b01760

commit f01845585242f5114d9838a13eb8152e13b01760
Author:     Keenan Brock <kbrock@redhat.com>
AuthorDate: Thu Oct 1 10:50:57 2015 -0400
Commit:     Keenan Brock <kbrock@redhat.com>
CommitDate: Thu Oct 1 12:55:27 2015 -0400

    fix undefined method gsub for 100001:Fixnum
    
    introduced in 902ab945c9be11661552c317a47134d409fee51a
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1267700

 app/views/layouts/_dhtmlxgrid.html.haml         |  2 +-
 spec/views/layouts/dhtmlxgrid.html.haml_spec.rb | 12 ++++++++++++
 2 files changed, 13 insertions(+), 1 deletion(-)
 create mode 100644 spec/views/layouts/dhtmlxgrid.html.haml_spec.rb
Comment 6 Nandini Chandra 2015-10-27 13:36:43 EDT
Verified in 5.5.0.7
Comment 8 errata-xmlrpc 2015-12-08 08:34:05 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.